scala

# Tuple20

###
Related Doc: package scala

#### case class Tuple20[+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8, +T9, +T10, +T11, +T12, +T13, +T14, +T15, +T16, +T17, +T18, +T19, +T20](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12, _13: T13, _14: T14, _15: T15, _16: T16, _17: T17, _18: T18, _19: T19, _20: T20) extends Product20[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20] with Product with Serializable

A tuple of 20 elements; the canonical representation of a scala.Product20.

_1

  Element 1 of this Tuple20

_2

  Element 2 of this Tuple20

_3

  Element 3 of this Tuple20

_4

  Element 4 of this Tuple20

_5

  Element 5 of this Tuple20

_6

  Element 6 of this Tuple20

_7

  Element 7 of this Tuple20

_8

  Element 8 of this Tuple20

_9

  Element 9 of this Tuple20

_10

  Element 10 of this Tuple20

_11

  Element 11 of this Tuple20

_12

  Element 12 of this Tuple20

_13

  Element 13 of this Tuple20

_14

  Element 14 of this Tuple20

_15

  Element 15 of this Tuple20

_16

  Element 16 of this Tuple20

_17

  Element 17 of this Tuple20

_18

  Element 18 of this Tuple20

_19

  Element 19 of this Tuple20

_20

  Element 20 of this Tuple20

Annotations
  @deprecatedInheritance( ... , "2.11.0" )
Source
  Tuple20.scala

Linear Supertypes
Serializable, java.io.Serializable, Product20[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20], Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Tuple20
2. Serializable
3. Serializable
4. Product20
5. Product
6. Equals
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tuple20(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12, _13: T13, _14: T14, _15: T15, _16: T16, _17: T17, _18: T18, _19: T19, _20: T20)

   Create a new tuple with 20 elements.

   Create a new tuple with 20 elements. Note that it is more idiomatic to create a Tuple20 via `(t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, t14, t15, t16, t17, t18, t19, t20)`

   _1

     Element 1 of this Tuple20

   _2

     Element 2 of this Tuple20

   _3

     Element 3 of this Tuple20

   _4

     Element 4 of this Tuple20

   _5

     Element 5 of this Tuple20

   _6

     Element 6 of this Tuple20

   _7

     Element 7 of this Tuple20

   _8

     Element 8 of this Tuple20

   _9

     Element 9 of this Tuple20

   _10

     Element 10 of this Tuple20

   _11

     Element 11 of this Tuple20

   _12

     Element 12 of this Tuple20

   _13

     Element 13 of this Tuple20

   _14

     Element 14 of this Tuple20

   _15

     Element 15 of this Tuple20

   _16

     Element 16 of this Tuple20

   _17

     Element 17 of this Tuple20

   _18

     Element 18 of this Tuple20

   _19

     Element 19 of this Tuple20

   _20

     Element 20 of this Tuple20

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): ((T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20), B)

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### val _1: T1

   Element 1 of this Tuple20

   Element 1 of this Tuple20

   Definition Classes
     Tuple20 → Product20

7. #### val _10: T10

   Element 10 of this Tuple20

   Element 10 of this Tuple20

   Definition Classes
     Tuple20 → Product20

8. #### val _11: T11

   Element 11 of this Tuple20

   Element 11 of this Tuple20

   Definition Classes
     Tuple20 → Product20

9. #### val _12: T12

   Element 12 of this Tuple20

   Element 12 of this Tuple20

   Definition Classes
     Tuple20 → Product20

10. #### val _13: T13

    Element 13 of this Tuple20

    Element 13 of this Tuple20

    Definition Classes
      Tuple20 → Product20

11. #### val _14: T14

    Element 14 of this Tuple20

    Element 14 of this Tuple20

    Definition Classes
      Tuple20 → Product20

12. #### val _15: T15

    Element 15 of this Tuple20

    Element 15 of this Tuple20

    Definition Classes
      Tuple20 → Product20

13. #### val _16: T16

    Element 16 of this Tuple20

    Element 16 of this Tuple20

    Definition Classes
      Tuple20 → Product20

14. #### val _17: T17

    Element 17 of this Tuple20

    Element 17 of this Tuple20

    Definition Classes
      Tuple20 → Product20

15. #### val _18: T18

    Element 18 of this Tuple20

    Element 18 of this Tuple20

    Definition Classes
      Tuple20 → Product20

16. #### val _19: T19

    Element 19 of this Tuple20

    Element 19 of this Tuple20

    Definition Classes
      Tuple20 → Product20

17. #### val _2: T2

    Element 2 of this Tuple20

    Element 2 of this Tuple20

    Definition Classes
      Tuple20 → Product20

18. #### val _20: T20

    Element 20 of this Tuple20

    Element 20 of this Tuple20

    Definition Classes
      Tuple20 → Product20

19. #### val _3: T3

    Element 3 of this Tuple20

    Element 3 of this Tuple20

    Definition Classes
      Tuple20 → Product20

20. #### val _4: T4

    Element 4 of this Tuple20

    Element 4 of this Tuple20

    Definition Classes
      Tuple20 → Product20

21. #### val _5: T5

    Element 5 of this Tuple20

    Element 5 of this Tuple20

    Definition Classes
      Tuple20 → Product20

22. #### val _6: T6

    Element 6 of this Tuple20

    Element 6 of this Tuple20

    Definition Classes
      Tuple20 → Product20

23. #### val _7: T7

    Element 7 of this Tuple20

    Element 7 of this Tuple20

    Definition Classes
      Tuple20 → Product20

24. #### val _8: T8

    Element 8 of this Tuple20

    Element 8 of this Tuple20

    Definition Classes
      Tuple20 → Product20

25. #### val _9: T9

    Element 9 of this Tuple20

    Element 9 of this Tuple20

    Definition Classes
      Tuple20 → Product20

26. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

27. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

28. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)) ⇒ Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

29. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)) ⇒ Boolean): (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

30. #### def ensuring(cond: Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

31. #### def ensuring(cond: Boolean): (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

32. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

33. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to StringFormat[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

34. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

35. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

36. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

37. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

38. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

39. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      20

    Definition Classes
      Product20 → Product

40. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 <= n < productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 <= n < productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(0)` is the same as `._1`.

    Definition Classes
      Product20 → Product
    Annotations
      @throws( clazz = classOf[IndexOutOfBoundsException] )
    Exceptions thrown

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Tuple20 → AnyRef → Any

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def →[B](y: B): ((T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20), B)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product20[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20]

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)]

### Inherited by implicit conversion StringFormat from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to StringFormat[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)]

### Inherited by implicit conversion Ensuring from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)]

### Inherited by implicit conversion ArrowAssoc from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20)]

### Ungrouped